clang 10.0.0git

Public Types | Public Member Functions | Public Attributes | List of all members
clang::ento::CheckerRegistry::CheckerInfo Struct Reference

Specifies a checker. More...

`#include "clang/StaticAnalyzer/Frontend/CheckerRegistry.h"`

Collaboration diagram for clang::ento::CheckerRegistry::CheckerInfo:
[legend]

## Public Types
enum | StateFromCmdLine { StateFromCmdLine::State_Unspecified, StateFromCmdLine::State_Disabled, StateFromCmdLine::State_Enabled }

## Public Member Functions
bool | isEnabled (const LangOptions &LO) const
bool | isDisabled (const LangOptions &LO) const
bool | operator== (const CheckerInfo &Rhs) const
| CheckerInfo (InitializationFunction Fn, ShouldRegisterFunction sfn, StringRef Name, StringRef Desc, StringRef DocsUri, bool IsHidden)
| CheckerInfo (StringRef FullName)

## Public Attributes
InitializationFunction | Initialize = nullptr
ShouldRegisterFunction | ShouldRegister = nullptr
StringRef | FullName
StringRef | Desc
StringRef | DocumentationUri
CmdLineOptionList | CmdLineOptions
bool | IsHidden = false
StateFromCmdLine | State = StateFromCmdLine::State_Unspecified
ConstCheckerInfoList | Dependencies

## Detailed Description

Specifies a checker.

Note that this isn't what we call a checker object, it merely contains everything required to create one.

Definition at line 143 of file CheckerRegistry.h.

## Member Enumeration Documentation

## ◆ StateFromCmdLine

enum clang::ento::CheckerRegistry::CheckerInfo::StateFromCmdLine
| strong

Enumerator
State_Unspecified |
State_Disabled |
State_Enabled |

Definition at line 144 of file CheckerRegistry.h.

## Constructor & Destructor Documentation

## ◆ CheckerInfo() [1/2]

clang::ento::CheckerRegistry::CheckerInfo::CheckerInfo | ( | InitializationFunction | Fn,
|  | ShouldRegisterFunction | sfn,
|  | StringRef | Name,
|  | StringRef | Desc,
|  | StringRef | DocsUri,
|  | bool | IsHidden
| ) |  |
| inline

Definition at line 178 of file CheckerRegistry.h.

## ◆ CheckerInfo() [2/2]

clang::ento::CheckerRegistry::CheckerInfo::CheckerInfo | ( | StringRef | FullName | ) |
| inline explicit

Definition at line 185 of file CheckerRegistry.h.

## Member Function Documentation

## ◆ isDisabled()

bool clang::ento::CheckerRegistry::CheckerInfo::isDisabled | ( | const LangOptions & | LO | ) | const
| inline

Definition at line 168 of file CheckerRegistry.h.

References State_Disabled.

## ◆ isEnabled()

bool clang::ento::CheckerRegistry::CheckerInfo::isEnabled | ( | const LangOptions & | LO | ) | const
| inline

Definition at line 164 of file CheckerRegistry.h.

References State_Enabled.

## ◆ operator==()

bool clang::ento::CheckerRegistry::CheckerInfo::operator== | ( | const CheckerInfo & | Rhs | ) | const
| inline

Definition at line 174 of file CheckerRegistry.h.

References FullName.

## Member Data Documentation

## ◆ CmdLineOptions

CmdLineOptionList clang::ento::CheckerRegistry::CheckerInfo::CmdLineOptions

Definition at line 158 of file CheckerRegistry.h.

## ◆ Dependencies

ConstCheckerInfoList clang::ento::CheckerRegistry::CheckerInfo::Dependencies

Definition at line 162 of file CheckerRegistry.h.

## ◆ Desc

StringRef clang::ento::CheckerRegistry::CheckerInfo::Desc

Definition at line 156 of file CheckerRegistry.h.

## ◆ DocumentationUri

StringRef clang::ento::CheckerRegistry::CheckerInfo::DocumentationUri

Definition at line 157 of file CheckerRegistry.h.

## ◆ FullName

StringRef clang::ento::CheckerRegistry::CheckerInfo::FullName

Definition at line 155 of file CheckerRegistry.h.

Referenced by operator==().

## ◆ Initialize

InitializationFunction clang::ento::CheckerRegistry::CheckerInfo::Initialize = nullptr

Definition at line 153 of file CheckerRegistry.h.

## ◆ IsHidden

bool clang::ento::CheckerRegistry::CheckerInfo::IsHidden = false

Definition at line 159 of file CheckerRegistry.h.

## ◆ ShouldRegister

ShouldRegisterFunction clang::ento::CheckerRegistry::CheckerInfo::ShouldRegister = nullptr

Definition at line 154 of file CheckerRegistry.h.

## ◆ State

StateFromCmdLine clang::ento::CheckerRegistry::CheckerInfo::State = StateFromCmdLine::State_Unspecified

Definition at line 160 of file CheckerRegistry.h.

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Frontend/CheckerRegistry.h